Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.optaplanner.examples.nurserostering.domain.contract
Enum ContractLineType

    java.lang.Object
      java.lang.Enum<ContractLineType>
          org.optaplanner.examples.nurserostering.domain.contract.ContractLineType

All Implemented Interfaces:
  Serializable, Comparable<ContractLineType>

    public enum ContractLineType

extends Enum<ContractLineType>

Enum Constant Summary
`ALTERNATIVE_SKILL_CATEGORY`
`COMPLETE_WEEKENDS`
`CONSECUTIVE_FREE_DAYS`
`CONSECUTIVE_WORKING_DAYS`
`CONSECUTIVE_WORKING_WEEKENDS`
`IDENTICAL_SHIFT_TYPES_DURING_WEEKEND`
`NO_NIGHT_SHIFT_BEFORE_FREE_WEEKEND`
`SINGLE_ASSIGNMENT_PER_DAY`
`TOTAL_ASSIGNMENTS`
`TOTAL_WORKING_WEEKENDS_IN_FOUR_WEEKS`

Method Summary
`static ContractLineType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ContractLineType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SINGLE_ASSIGNMENT_PER_DAY

    public static final ContractLineType SINGLE_ASSIGNMENT_PER_DAY

### TOTAL_ASSIGNMENTS

    public static final ContractLineType TOTAL_ASSIGNMENTS

### CONSECUTIVE_WORKING_DAYS

    public static final ContractLineType CONSECUTIVE_WORKING_DAYS

### CONSECUTIVE_FREE_DAYS

    public static final ContractLineType CONSECUTIVE_FREE_DAYS

### CONSECUTIVE_WORKING_WEEKENDS

    public static final ContractLineType CONSECUTIVE_WORKING_WEEKENDS

### TOTAL_WORKING_WEEKENDS_IN_FOUR_WEEKS

    public static final ContractLineType TOTAL_WORKING_WEEKENDS_IN_FOUR_WEEKS

### COMPLETE_WEEKENDS

    public static final ContractLineType COMPLETE_WEEKENDS

### IDENTICAL_SHIFT_TYPES_DURING_WEEKEND

    public static final ContractLineType IDENTICAL_SHIFT_TYPES_DURING_WEEKEND

### NO_NIGHT_SHIFT_BEFORE_FREE_WEEKEND

    public static final ContractLineType NO_NIGHT_SHIFT_BEFORE_FREE_WEEKEND

### ALTERNATIVE_SKILL_CATEGORY

    public static final ContractLineType ALTERNATIVE_SKILL_CATEGORY

Method Detail

### values

    public static ContractLineType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ContractLineType c : ContractLineType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ContractLineType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.